- Create Lineage
- Get Export Data
Core
Lineage
Lineage endpoints: Create Lineage, Get Export Data
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lineage endpoints: Create Lineage, Get Export Data
POST /api/v1/core/lineageCreate a new lineage record in the database.Responsecurl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/lineage" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
{
"success": true,
"message": "Create a new lineage record in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/core/lineage/exportGet export data for given asset list and source list.Responsecurl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/lineage/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
{
"success": true,
"message": "Get export data for given asset list and source list.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
Was this page helpful?